#!/usr/bin/bash

tag=$1

if [[ -z $tag ]]; then
    echo "This script requires the tag as an argument."
    exit 1
fi

set -euo pipefail

# transform tag into version
# v2.0.0 -> 2.0.0
version=${tag#v}

echo "Using tag: $tag"
echo "Using version: $version"

git -c advice.detachedHead=false clone --branch $tag --depth 1 https://github.com/charmbracelet/gum.git gum-$version
pushd gum-$version
GOPROXY='https://proxy.golang.org,direct' go mod vendor
popd
tar --exclude .git -czf gum-$version-vendored.tar.gz gum-$version
